GET
/api/Checkout/sessions/me
const url = 'https://example.com/api/Checkout/sessions/me';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/Checkout/sessions/me \ --header 'Authorization: Bearer <token>'Returns session + plan + merchant info for the JWT-bound session.
Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”OK
Media type application/json
object
id
string format: uuid
merchantId
string format: uuid
merchantName
string
planId
string format: uuid
planName
string
planPrice
number format: double
planFrequency
string
planTrialDays
integer format: int32
status
string
firstName
string
lastName
string
email
string
phone
string
addressLine1
string
addressLine2
string
city
string
state
string
postCode
string
country
string
returnUrl
string
expiresAt
string format: date-time
Example
{ "planFrequency": "OneOff", "status": "Pending"}Not Found
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}